import { axios } from '@/utils/request'
// 调往对象
export const getReportPutTenantList = (params) => {
  return axios({
    url: '/report/reportAllocLinkagePut/reportDealer',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('调往对象列表查询')
    }
  })
}
//  连锁调拨调入 列表  分页
export const allocLinkagePutList = (params) => {
  const url = `/allocLinkagePut/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}

// 连锁调拨调入  统计
export const allocLinkagePutQueryCount = (params) => {
  return axios({
    url: `/allocLinkagePut/queryCount`,
    data: params,
    method: 'post'
  })
}
//  连锁调拨调入  审核
export const allocLinkagePutAudit = (params) => {
  return axios({
    url: `/allocLinkagePut/audit/${params.sn}`,
    method: 'get',
    headers: {
      'module': encodeURIComponent('审核')
    }
  })
}
//  连锁调拨调入  入库
export const allocLinkagePutSubmit = (params) => {
  return axios({
    url: `/allocLinkagePut/submit/${params.sn}`,
    method: 'get',
    headers: {
      'module': encodeURIComponent('入库')
    }
  })
}
//  连锁调拨调入 详情 合计
export const allocLinkagePutDetailCount = (params) => {
  return axios({
    url: '/allocLinkagePut/detail/queryCount',
    data: params,
    method: 'post'
  })
}
//  连锁调拨调出 详情  根据sn查
export const allocLinkagePutDetailSn = (params) => {
  return axios({
    url: `/allocLinkagePut/findBySn/${params.sn}`,
    method: 'get',
    headers: {
      'module': encodeURIComponent('详情信息')
    }
  })
}
//  连锁调拨调入 详情 列表  分页
export const allocLinkagePutDetailList = (params) => {
  const url = `/allocLinkagePut/detail/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('明细列表查询')
    }
  })
}
//  连锁调拨调入 详情 编辑
export const allocLinkagePutDetailUpdate = (params) => {
  const url = `/allocLinkagePut/detail/update/${params.id}`
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('编辑基本信息')
    }
  })
}
// 连锁调拨调入 详情  打印
export const allocLinkagePutDetailPrint = params => {
  const data = {
    url: `allocLinkagePut/print/${params.sn}/${params.type}/${params.showFlag}`,
    method: 'get',
    headers: {
      'module': encodeURIComponent(params.type == 'INK' ? '喷墨打印':'针式打印')
    }
  }
  // 喷墨打印
  if (params.type == 'INK') {
    data.responseType = 'blob'
  }
  return axios.request(data)
}

// 连锁调入列表  导出
export const allocLinkagePutExport = (params) => {
  return axios({
    url: '/allocLinkagePut/detail/export',
    data: params,
    method: 'post',
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('导出')
    }
  })
}
