import { axios } from '@/utils/request'

//  采购详情 列表  分页
export const purchaseDetailList = (params) => {
  const url = `/purchaseDetail/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('明细列表')
    }
  })
}
//  采购详情 保存
export const purchaseDetailSave = (params) => {
  return axios({
    url: '/purchaseDetail/save',
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent(params.id?'修改数量':'添加')
    }
  })
}
//  采购详情 删除
export const purchaseDetailDel = (params) => {
  return axios({
    url: `/purchaseDetail/delete/${params.id}`,
    method: 'get',
    headers:{
      'module': encodeURIComponent('删除')
    }
  })
}
//  采购详情 清空列表
export const purchaseDetailDelAll = (params) => {
  return axios({
    url: `/purchaseDetail/deleteAll/${params.id}`,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('清空列表')
    }
  })
}

//  采购明细 统计
export const purchaseDetailCount = (params) => {
  return axios({
    url: `/purchaseDetail/queryCount`,
    data: params,
    method: 'post'
  })
}

//  采购入库 修改仓库仓位
export const purchaseUpdateWarehouse = (params) => {
  return axios({
    url: `/receivingDetail/updateWarehouse`,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('修改仓库仓位')
    }
  })
}
//  采购 详情 上次缺货 列表 分页
export const purchaseDetailCancelList = (params) => {
  const url = `/purchaseDetail/queryCancelPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('上次缺货列表')
    }
  })
}
//  采购 详情 上次缺货 购物车 保存
export const purchaseDetailCancelSave = (params) => {
  return axios({
    url: '/purchaseDetail/saveCancelProduct',
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('加入购物车')
    }
  })
}
// 采购  导出错误项
export const purchaseDetailDownloadFail = params => {
  return axios.request({
    url: `/purchaseDetail/downloadFailExcel`,
    method: 'post',
    data: params,
    responseType: 'blob',
    headers:{
      'module': encodeURIComponent('导入产品-导出错误项')
    }
  })
}
// 采购单明细导入缺货列表
export const importOosDetail = (params) => {
  const url = `/purchaseDetail/importOosDetail/${params.purchaseBillSn}`
  delete params.purchaseBillSn
  return axios({
    url,
    data: params.arr,
    method: 'post',
    headers:{
      'module': encodeURIComponent('导入缺货-批量添加')
    }
  })
}
