import { axios } from '@/utils/request'

//  销售 列表  有分页
export const salesList = (params) => {
  const url = `/sales/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent(params.buyerSn ? '按客户查询列表' : '列表查询')
    }
  })
}
//  销售 详情
export const salesDetail = (params) => {
  return axios({
    url: `/sales/findById/${params.id}`,
    data: params,
    method: 'get',
    headers: {
      'module': encodeURIComponent('销售单详情')
    }
  })
}
//  销售 详情bysn
export const salesDetailBySn = (params) => {
  return axios({
    url: `/sales/findBySn`,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('销售单详情')
    }
  })
}
//  销售 打印
export const salesPrint = (params) => {
  return axios({
    url: '/sales/print',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('打印')
    }
  })
}
//  销售 打印预览
export const salesPrintPreview = (params) => {
  return axios({
    url: '/sales/printPreview',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('打印预览')
    }
  })
}
//  销售 冲减
export const salesWriteDown = (params) => {
  return axios({
    url: '/sales/writeDown',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('销售冲减')
    }
  })
}
//  销售 审核
export const salesWriteAudit = (params) => {
  return axios({
    url: '/sales/audit',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('审核')
    }
  })
}
//  销售 折扣
export const salesWriteDiscount = (params) => {
  return axios({
    url: '/sales/discount',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('打折')
    }
  })
}
//  销售 备货审核
export const salesWritePrepareAudit = (params) => {
  return axios({
    url: '/sales/prepareAudit',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('备货审核')
    }
  })
}
//  销售 收款
export const salesWriteReceipt = (params) => {
  return axios({
    url: '/sales/receipt',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('收款')
    }
  })
}
//  销售 出库
export const salesWriteStockOut = (params) => {
  return axios({
    url: `/sales/stockOut/${params.salesBillSn}`,
    method: 'get',
    headers: {
      'module': encodeURIComponent('出库')
    }
  })
}
//  销售 提交
export const salesWriteSubmit = (params) => {
  return axios({
    url: '/sales/submit',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('提交')
    }
  })
}
//  销售 新增或编辑
export const salesSave = (params) => {
  return axios({
    url: '/sales/save',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent(params.id ? '编辑基本信息' : params.distributionFlag == 0 ? '新增(零售)' : '新增(铺货)')
    }
  })
}

//  销售 删除
export const salesDel = (params) => {
  return axios({
    url: `/sales/delete`,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent(params.mainFlag == 1 ? '删除/取消' : '清空列表')
    }
  })
}

// 销售 统计
export const salesCount = (params) => {
  return axios({
    url: `/sales/queryCount`,
    data: params,
    method: 'post'
  })
}
// 车架号
export const supperCodeByVin = (params) => {
  return axios({
    url: `/vinIdentify/queryPartCodeByVin/${params.vin}`,
    method: 'get',
    headers: {
      'module': encodeURIComponent('车架号查询')
    }
  })
}
// 销售 详情  打印
export const salesDetailPrint = params => {
  const data = {
    url: `/sales/print/${params.sn}/${params.type}/${params.printOrgCode}/${params.printAllName}/${params.remarksShowFlag}/${params.priceFlag}`,
    method: 'get',
    headers: {
      'module': encodeURIComponent(params.type == 'INK' ? '喷墨打印' : '针式打印')
    }
  }
  // 喷墨打印
  if (params.type == 'INK') {
    data.responseType = 'blob'
  }
  return axios.request(data)
}
// 销售 详情  导出
export const salesDetailExport = params => {
  return axios.request({
    url: `/sales/excel/${params.sn}`,
    method: 'get',
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('导出Excel')
    }
  })
}
// 销售 列表  导出
export const salesExport = params => {
  return axios.request({
    url: `/sales/exportWithDetail`,
    data: params,
    method: 'post',
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('导出')
    }
  })
}
// 车架号  识别图片内容
export const vinCodeParse = params => {
  return axios.request({
    url: `/vinIdentify/ocr`,
    method: 'post',
    data: params,
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('车架号图片ocr识别')
    }
  })
}

// 线上支付订单  备注修改
export const onlinePayUpdateRemark = (params) => {
  return axios({
    url: `/sales/updateRemark`,
    data: params,
    method: 'post'
  })
}
